{
  lib,
  pkgs,
  osConfig,
  ...
}:
{
  home.packages = [ pkgs.gcr ];

  programs.gpg.enable = true;
  services.gpg-agent = {
    enable = true;
    enableScDaemon = !osConfig.services.pcscd.enable;
    enableSshSupport = true;
    grabKeyboardAndMouse = true;
    pinentry.package = lib.mkDefault pkgs.pinentry-gtk2;
    extraConfig = ''
      no-allow-external-cache
    '';

    defaultCacheTtl = 0;
    maxCacheTtl = 0;
  };
}
